# tcp_http.h File Reference

Basic functions to receive and send HTTP TCP packets. More...

`#include "address.h"`

Go to the source code of this file.

## Data Structures
struct | HTTPCallback
| Callback for when the HTTP handler has something to tell us. More...
class | NetworkHTTPSocketHandler
| Base socket handler for HTTP traffic. More...
class | NetworkHTTPContentConnecter
| Connect with a HTTP server and do ONE query. More...

## Detailed Description

Basic functions to receive and send HTTP TCP packets.

Definition in file tcp_http.h.